.full-page-container {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #f8f8f8;

  .login-page-container {
    height: 78%;
    width: 60%;
    border-radius: 10px;
    background-color: #f7f7f7;
    display: flex;
    flex-direction: row;
    gap: 5px;
    position: relative;
    align-items: center;
    justify-content: center;

    .login-page-left {
      flex: 0.85;
      border-radius: 8px;
      height: 80%;
      margin-right: -30px;
      z-index: 2;
      background-color: #fff;
      box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px,
        rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
      padding: 10px;
      padding-top: 40px;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      gap: 5px;
      .mini-logo{
        width: 40px;
        height: 40px;

        display: flex;
        align-items: center;
        justify-content: center;
        img {
          width: 35px;
          height: 35px;
        }
      }

      .login-left-title {
        width: 80%;
        // border:2px solid black;
        height: 40px;
        color: #333;
        font-size: 18px;
        font-weight: 600;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 10px;
      }

      .login-left-form-wrapper {
        width: 80%;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 10px;
        flex-direction: column;
        gap: 25px;

        .top {
          display: flex;
          flex-direction: column;
          gap: 10px;
          width: 100%;

          .form-input-wrapper {
            height: 45px;
            width: 100%;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: center;
            position: relative;
            // border:1px solid black;

            .icon-wrapper {
              height: 35px;
              // width: 35px;
              display: flex;
              align-items: center;
              justify-content: center;
              font-size: 20px;
              position: absolute;
              top: 5px;
              left: 14px;
              color: gray;

              .mini-input-divider {
                height: 16px;
                width: 0;
                border-left: 2px solid rgb(193, 193, 193);
                margin-left: 8px;
              }
            }

            .login-form-input {
              width: 100%;
              height: 40px;
              border-radius: 5px;
              border: 1px solid transparent;
              border-left: 3px solid #e9000c;
              background-color: #f8f8f8;
              padding-left: 52px;
              font-weight: 300;
              font-size: 14px;
              color: gray;
              box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
              outline: none;

              &::placeholder {
                color: gray;
              }
            }
          }
        }
        .center {
          display: flex;
          align-items: center;
          justify-content: center;
          font-size: 13px;
          font-weight: 300;
          color: gray;
          border-bottom: 1px solid gray;
        }
        .bottom {
          display: flex;
          align-items: center;
          justify-content: center;
          // border: 1px solid black;
          width: 100%;
          padding: 5px;
          .login-btn {
           
            border-radius: 5px;
            display: flex;
            flex-direction: row;
            gap: 5px;
            color: #fff;
            background-color: #e9000c;
            border:1px solid #e9000c;
            padding: 5px 8px;
            display: flex;
            align-items: center;
            justify-content: space-between;
            cursor: pointer;
            font-weight: 400;

            &:hover {
              background-color: #fff;
              color: #e9000c;
            }



            .icon-wrapper {
              display: flex;
              align-items: center;
              justify-content: center;
              font-size: 20px;
              margin-top: 2px;
            }
            .text {
              display: flex;
              align-items: center;
              justify-content: center;
              font-size: 15px;
            }
          }
        }
      }

      // .overlay {
      //   position: absolute;
      //   top: 0;
      //   left: 0;
      //   width: 100%;
      //   height: 100%;
      //   background-color: rgba(0, 0, 0, 0.1);
      //   border-radius: 10px;
      //   text-align: end;
      //   .overlay-bottom {
      //     position: absolute;
      //     bottom: 2%;
      //     height: 50px;
      //     width: 95%;
      //     margin: 0 3%;
      //     padding: 0 20px;

      //     /* From https://css.glass */
      //     background: rgba(255, 255, 255, 0.24);
      //     border-radius: 10px;
      //     box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
      //     backdrop-filter: blur(1.2px);
      //     -webkit-backdrop-filter: blur(1.2px);

      //     display: flex;
      //     flex-direction: row;
      //     justify-content: space-between;
      //     align-items: center;

      //     .text {
      //       color: #fff;
      //       font-weight: 500;
      //       font-size: 15px;
      //     }
      //     button {
      //       color: #fff;
      //       font-size: 14px;
      //       font-weight: 600;
      //       background-color: #e06f20;
      //       border-radius: 10px;
      //       height: 35px;
      //       width: 90px;
      //       cursor: pointer;
      //       border: 2px solid transparent;

      //       &:hover {
      //         background: rgba(255, 255, 255, 0.24);
      //         border: 2px solid #e06f20;
      //         color: #e06f20;
      //       }
      //     }
      //   }
      // }
    }
    .login-page-right {
      box-sizing: border-box;
      flex: 1;
      // border: 2px solid red;
      height: 100%;
      display: flex;
      flex-direction: column;
      gap: 10px;
      justify-content: start;
      align-items: center;
      border-radius: 8px;
      z-index: 1;
      background-color: #f7f8f2;
      box-shadow: #e9000c5c 0px 2px 9px;

      .login-top {
        // height: 50px;
        // width: 50px;
        // border:2px solid black;
        margin-top: 30px;

        img {
          width: 80px;
          height: auto;
        }
      }

      .title {
        font-weight: 900;
        font-size: 22px;
        color: #333;
        margin-top: -11px;
      }

      .login-form-wrapper {
        width: 250px;
        display: flex;
        flex-direction: column;
        gap: 10px;
        margin-top: 20px;
        .form-item-wrapper {
          // border: 2px solid green;
          display: flex;
          flex-direction: column;
          gap: 7px;

          .form-label {
            font-weight: 600;
            font-size: 16px;
            color: #878686;
          }
          .form-input-wrapper {
            color: #aeacac;
            position: relative;
            width: 100%;

            .form-input-icon {
              position: absolute;
              font-size: 20px;
              top: 25%;
              left: 7px;
              z-index: 5;

              .icon-key {
                font-size: 18px;
              }
            }

            .form-input {
              height: 35px;
              width: -webkit-fill-available;
              border: none;
              outline: none;
              border-radius: 10px;
              padding-left: 33px;
              color: #aeacac;
              font-size: 16px;
            }
          }
        }

        .login-form-btn {
          width: 150px;
          color: #fff;
          font-size: 18px;
          font-weight: 600;
          background-color: #e06f20;
          border-radius: 10px;
          height: 40px;
          margin: 20px auto;
          cursor: pointer;
          border: 2px solid transparent;
          display: flex;
          flex-direction: row;
          gap: 10px;
          align-items: center;
          justify-content: center;

          .arrow-icon-btn {
            font-size: 20px;
            transition: transform 0.3s ease;
          }
          &:hover {
            border: 1px solid #e06f20;
            color: #e06f20;
            background-color: #fff;
            .arrow-icon-btn {
              transform: scale(1.5);
            }
          }
        }
      }
    }

    link {
      text-decoration: none;
    }
  }
}
